Advertisement:

Author Topic: MySQL 5.0.12 Compatibility patch  (Read 152800 times)

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #20 on: November 07, 2005, 03:03:40 PM »
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #21 on: November 07, 2005, 03:05:03 PM »
Getting Errors From MySQL?

My error is not listed there and now my site is hosed.  Please help!

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline xenovanis

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,988
  • Gender: Female
Re: MySQL 5.0.12 Compatibility patch
« Reply #22 on: November 07, 2005, 03:10:04 PM »
Errcode 13: Can't create/write to file ...

You should contact your host about this. Possibly a permission problem during the upgrade of mySQL.
"Insanity: doing the same thing over and over again and expecting different results."

Offline gijs

  • Jr. Member
  • **
  • Posts: 128
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #23 on: November 07, 2005, 03:11:48 PM »

Offline xenovanis

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,988
  • Gender: Female
Re: MySQL 5.0.12 Compatibility patch
« Reply #24 on: November 07, 2005, 03:13:45 PM »
Gijs, that is not a solution for your problem. You need to enter your ftp username and password in the packagemanager, or chmod your files to make them writable.
"Insanity: doing the same thing over and over again and expecting different results."

Offline gijs

  • Jr. Member
  • **
  • Posts: 128
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #25 on: November 07, 2005, 03:47:14 PM »
eh, I tried both:

- I entered the FTP username/passw, but then got the message "You cannot download or install new packages because the Packages directory or one of the files in it are not writable"

- then I chmodded the packages directory&files 777

guessed that the first item (entering the FTP username/passw) should have done it already?

hmm

Offline VxJasonxV

  • Semi-Newbie
  • *
  • Posts: 14
  • Gender: Male
  • Bemani Geek
Re: MySQL 5.0.12 Compatibility patch
« Reply #26 on: November 07, 2005, 03:56:18 PM »
I didn't get any attachments in my e-mail.
(That's fine though, probably got around spam nukers for that very reason :P)

Offline xenovanis

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,988
  • Gender: Female
Re: MySQL 5.0.12 Compatibility patch
« Reply #27 on: November 07, 2005, 03:57:26 PM »
eh, I tried both:

- I entered the FTP username/passw, but then got the message "You cannot download or install new packages because the Packages directory or one of the files in it are not writable"

- then I chmodded the packages directory&files 777

guessed that the first item (entering the FTP username/passw) should have done it already?

hmm

Yeah, it should.. Are you sure your path is correct?
"Insanity: doing the same thing over and over again and expecting different results."

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #28 on: November 07, 2005, 04:04:43 PM »
Try creating a dir called temp in the attachments dir and chmod it to 777
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline gijs

  • Jr. Member
  • **
  • Posts: 128
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #29 on: November 07, 2005, 04:43:21 PM »
that worked! (never would have guessed this solution  :D)

thanx alot!

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #30 on: November 07, 2005, 04:45:20 PM »
that worked! (never would have guessed this solution  :D)

thanx alot!

You welcome.  Im guessing it was having problems creating the temp dir itself.
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #31 on: November 07, 2005, 05:00:02 PM »
Now I get this error:

File './smf/smf_log_online.MYD' not found (Errcode: 13)
File: /forum/Sources/Subs.php
Line: 1347

Note: It appears that your database may require an upgrade. Your forum files are currently at version SMF 1.0.5, whereas your database is at version SMF 1.0.2. It is recommended that you execute the latest version of upgrade.php.

Can anyone help here?  I backup up my database before this sql upgrade patch, but when I store I still get the similar message regarding the same file. subs.php

I can not get to the Admin section or any section of the forum.  I tried to use the upgrade.php, but that didn't work.  I did repairsettings.php and that didn't work either.

Any other suggestions?

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #32 on: November 07, 2005, 05:00:47 PM »
I get this message after restoring:

Got error 127 from storage engine
File: /forum/Sources/Subs.php
Line: 1347

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline xenovanis

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 12,988
  • Gender: Female
Re: MySQL 5.0.12 Compatibility patch
« Reply #33 on: November 07, 2005, 05:02:09 PM »
Now I get this error:

File './smf/smf_log_online.MYD' not found (Errcode: 13)
File: /forum/Sources/Subs.php
Line: 1347

Note: It appears that your database may require an upgrade. Your forum files are currently at version SMF 1.0.5, whereas your database is at version SMF 1.0.2. It is recommended that you execute the latest version of upgrade.php.

Can anyone help here?  I backup up my database before this sql upgrade patch, but when I store I still get the similar message regarding the same file. subs.php

I can not get to the Admin section or any section of the forum.  I tried to use the upgrade.php, but that didn't work.  I did repairsettings.php and that didn't work either.

Any other suggestions?

I answered your post on the previous page. You should contact your host. There is a problem with your database, not with SMF.
"Insanity: doing the same thing over and over again and expecting different results."

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #34 on: November 07, 2005, 05:02:23 PM »
As well as this one:

Incorrect key file for table 'smf_log_online'; try to repair it
File: /forum/Sources/Subs.php
Line: 1347

Note: It appears that your database may require an upgrade. Your forum files are currently at version SMF 1.0.5, whereas your database is at version SMF 1.0.2. It is recommended that you execute the latest version of upgrade.php.

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline newbiepp

  • Newbie
  • *
  • Posts: 3
Re: MySQL 5.0.12 Compatibility patch
« Reply #35 on: November 07, 2005, 07:57:10 PM »
Hi,
i'm curious to know exactly what you modified because i've already done by myself some modifications from few days ago, but on many more files and occurences on (v 1.1.RC1) in /sources Directory +SSI.php

by the way i replaced
for all the "SELECT"
with "LEFT JOIN"
either there is "FROM XXX AS Y" or "FROM XXX, YYY AS Y"

by a "FROM (XXX AS Y)" or  "FROM (XXX, YYY AS Y)"

I saw that you juste replace "XXX, YYY AS Y" cases
is that the only change??
seems that
as i checked with winmerge

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #36 on: November 07, 2005, 08:14:02 PM »
The problem is the order of joins:

Code: [Select]
FROM A, B
   LEFT JOIN C

was before MySQL 5.0.12 interpreted as:
Code: [Select]
FROM ((A, B)
   LEFT JOIN C)

but after MySQL 5.0.12 interpreted as:
Code: [Select]
FROM (A, (B
   LEFT JOIN C))

If there's only one table after the FROM it can only be interpreted in one way, so the parentheses are unnecessary.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Offline eclectics

  • Newbie
  • *
  • Posts: 2
Re: MySQL 5.0.12 Compatibility patch
« Reply #37 on: November 07, 2005, 08:27:00 PM »
How can I use the compatabilty patch, I have no access to my BBoard. hxxp:www.windward-island.net/forum [nonactive].
What's wrong. Can someone help me!
WKR
eclectic

Offline Ricardo.SEP

  • Semi-Newbie
  • *
  • Posts: 40
  • Gender: Male
    • Só Palmeiras
Re: MySQL 5.0.12 Compatibility patch
« Reply #38 on: November 07, 2005, 08:35:45 PM »
Great News!!

Thank you man!
Palmeiras
Brazil

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #39 on: November 07, 2005, 08:37:50 PM »
How can I use the compatabilty patch, I have no access to my BBoard. www.windward-island.net/forum.
What's wrong. Can someone help me!
WKR
eclectic
Try the PHP 4.4.0 compatibility first.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com